@ECHO OFF & CD /D %~DP0
>NUL 2>&1 REG.exe query "HKU\S-1-5-19" || (
    ECHO SET UAC = CreateObject^("Shell.Application"^) > "%TEMP%\Getadmin.vbs"
    ECHO UAC.ShellExecute "%~f0", "%1", "", "runas", 1 >> "%TEMP%\Getadmin.vbs"
    "%TEMP%\Getadmin.vbs"
    DEL /f /q "%TEMP%\Getadmin.vbs" 2>NUL
    Exit /b
)

echo 127.0.0.1       localhost >> %WINDIR%\system32\drivers\etc\hosts
echo 127.0.0.1 track.easeus.com >> %WINDIR%\system32\drivers\etc\hosts
echo 127.0.0.1 activation.easeus.com  >> %WINDIR%\system32\drivers\etc\hosts
echo 127.0.0.1 216.92.61.7  >> %WINDIR%\system32\drivers\etc\hosts
ipconfig /flushdns
netsh advfirewall firewall add rule name="Easeus Data Recovery" dir=out action=block program="DRWUI.exe" remoteip=0.0.0.0-61.0.0.3,61.0.0.5-72.87.0.4,72.87.0.6-127.0.0.0,127.0.0.6-255.255.255.255

